﻿Type=StaticCode
Version=1.60
@EndOfDesignText@
' ************************************************************************
' * Game world actor "base class" (used as "base class" for sprites      *
' * Version: 1.0.0.0 beta                                                *
' * (C)Copyright 2011 M. le Roux                                         *
' ************************************************************************

'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	' *** Actor is basically the "base class" for all displayable items inside the game world (only sprites for now, might add text fields etc in the future?)
	Type GWActor (Name As String, Visible As Boolean, X, Y As Int, Tag As Object)
End Sub

' *** Constructor ...
Sub Create (Name As String, x, y As Int) As GWActor
	Dim res As GWActor
	res.Initialize
	res.Name = Name.ToLowerCase
	res.Visible = True
	res.X = x
	res.Y = y
	Return res	
End Sub

#Region Methods ...

' *** Move the actor "object" by the given (x, y) value ...
Sub Move (Instance As GWActor, X, Y As Int)
	Instance.X = Instance.X + X
	Instance.Y = Instance.Y + Y
End Sub

#End Region
